Switching to Mac App Store version problems

sumersongsumersong
edited June 2015 in Mac

I followed the instructions on switching to the Mac App Store version and deleted the 1Pass5 from my trash. I can not reinstall 1Pass from the Mac App Store. It only gives me the option of opening 1Pass not installing it. When I click on open it says 1Pass failed to connect with 1Pass mini. 1pass is not installed. I have rebooted my machine but still getting the error message. There is a question mark in my dock where 1Pass used to be. I am totally dependent on 1Pass. Help!!


1Password Version: Mac App Store 5
Extension Version:
OS Version: OS 10.10.3
Sync Type: Not Provided

Comments

  • hawkmothhawkmoth
    edited May 2015

    Do you have copies of 1Password anywhere besides your application folder? Perhaps in Time Machine or a mounted backup disk? That can cause a problem that gives error message such as you describe. The problem is with Yosemite, if this applies to you. For reasons I don't understand, Yosemite looks more widely than it should for mini and finds some that don't match the application as you launched it.

  • I do have it on Time machine and my Super Duper backup. I will disconnect the drives. Thanks

  • Thank you. SuperDuper was the culprit. Everything is fixed.

  • @sumersong - I use Carbon Copy Cloner, and I've excluded the 1Password application from its backups. It isn't really necessary to have a local backup anyway, since a fresh copy can be downloaded whenever you need it. It is also possible to set CCC to unmount the drive at the end of each backup. I assume (but don't know) that those options are also available in SuperDuper.

  • dancodanco Senior Member Community Moderator

    Yes, they are available in SuperDuper, but I believe that the procedure to exclude items is easier in Carbon Copy Cloner than in SuperDuper.

  • I will do that so the problem does not happen again. Thank you for your help.

  • It sounds like hawkmoth and danco have you covered @sumersong. Sorry we didn't get to your post earlier than now and if you have any questions do please ask :smile:

This discussion has been closed.